<script lang="ts">
  import BaseLayout from '$lib/components/layouts/BaseLayout.svelte';

  import type { PageData } from './$types';
  import { marked } from 'marked';
  import { PUBLIC_API_URL } from '$env/static/public';

  export let data: PageData;

  const { name, description, attachment } = data?.sno;
</script>

<svelte:head>
    <title>{name}</title>
</svelte:head>

<BaseLayout>
    <main class="my-16 mx-32 space-y-6">
        <img src="{PUBLIC_API_URL}/attachment/{attachment.id}" alt="" class="object-cover brightness-75 h-80 w-full rounded-xl">

        <h2 class="text-4xl font-bold">{name}</h2>

        <article>{@html marked(description)}</article>
    </main>
</BaseLayout>